Bug 174652 - Error upgrading SysVinit-2.85-40 to SysVinit-2.85-42
Error upgrading SysVinit-2.85-40 to SysVinit-2.85-42
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: FC6Test3Blocker
  Show dependency treegraph
 
Reported: 2005-11-30 22:34 EST by Jonathan Kamens
Modified: 2014-03-16 22:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.86-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 15:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-11-30 22:34:41 EST
I got this while upgrading a bunch of packages, including upgrading
SysVinit-2.85-40 to 2.85-42:

 397:SysVinit		    ########################################### [ 60%]
telinit: timeout opening/writing control channel /dev/initctl
Comment 1 Bill Nottingham 2005-12-01 13:46:10 EST
Assuming normal system, no chroot, etc?
Comment 2 Bill Nottingham 2005-12-01 13:48:13 EST
Also, selinux?
Comment 3 Jonathan Kamens 2005-12-01 14:49:40 EST
Normal system.  Selinux disabled.
Comment 4 Will Woods 2006-07-10 17:51:14 EDT
This happens in FC6-Test2-re20060709.7 during install:

Error(s) installing: SysVinit 2.86 4 i386
telinit: timeout opening/writing control channel /dev/initctl
Comment 5 Bill Nottingham 2006-07-11 12:55:39 EDT
[ -x /sbin/telinit -a -p /dev/initctl -a -f /proc/1/exe -a -d /proc/1/root ] &&
/sbin/telinit u
exit 0

Hm, there's no way that should be valid during install.
Comment 6 Jesse Keating 2006-07-20 17:20:57 EDT
I am not able to replicate this with a clean install of FC5.90.1-re20060719.0.

Will, was yours a clean install, or an upgrade?
Comment 7 Bill Nottingham 2006-08-10 15:22:12 EDT
Fixed in SysVinit-2.86-11.

All together now, "packaging fifos in /dev is silly."
Comment 8 David Lawrence 2007-06-21 22:11:40 EDT
Package name is now sysvinit in Fedora.

Note You need to log in before you can comment on or make changes to this bug.